﻿using System.Net;

using CMS.SettingsProvider;
using CMS.EventManager;
using CMS.GlobalHelper;
using CMS.Synchronization;

[MyIntegrationConnectorLoader]
public partial class CMSModuleLoader
{
    public class MyIntegrationConnectorLoaderAttribute : CMSLoaderAttribute
    {
        /// <summary>
        /// Initializes the module
        /// </summary>
        public override void Init()
        {
            ClassHelper.OnGetCustomClass += GetCustomClass;
            EventAttendeeInfo.TYPEINFO.Events.Delete.After += new System.EventHandler<ObjectEventArgs>(Delete_After);
        }


        /// <summary>
        /// Event handler for 'DELETE' EventAttendeeInfo operation
        /// </summary>
        void Delete_After(object sender, ObjectEventArgs e)
        {
            // Process internal tasks
            // IntegrationHelper.ProcessTasks("MyIntegrationConnector", true);
        }
        

        /// <summary>
        /// Gets the custom class object based on the given class name. This handler is called when the assembly name is App_Code.
        /// </summary>
        private static void GetCustomClass(object sender, ClassEventArgs e)
        {
            if (e.Object == null)
            {
                switch (e.ClassName)
                {
                    // Load MyIntegrationConnector
                    case "MyIntegrationConnector":
                        e.Object = new MyIntegrationConnector();
                        break;
                }
            }
        }
    }
}